Get Product
Gets the details of a single product.
Request
Section titled “Request”A request can be submitted to this endpoint using the details below:
Method
Section titled “Method”https://api.fyendalscollection.com/product/{productId}productId- The ID of the product to retrieve.
Query Parameters
Section titled “Query Parameters”-
currency(Optional) - The currency to retrieve pricing information in. Can be any of the currencies defined in the Currency enum. If not specified, the preferred currency of the authenticated user will be used. -
priceSource(Optional) - The price source to retrieve pricing information from. Can be any of the price sources defined in the PriceSource enum. If not specified, the preferred price source of the authenticated user will be used.
Example
Section titled “Example”GET /product/549623c8-34df-4018-a39e-75b37664da77?currency=USD&priceSource=TcgPlayerMarket HTTP/1.1Host: api.fyendalscollection.comAuthorization: Bearer eyJ...Response
Section titled “Response”A successful response from this endpoint gives a 200 OK and the following
response model:
Response Model
Section titled “Response Model”The saleVolumes property of the VariantResponseModel structure is an array
containing the number of sales per day for the last 30 days.
interface ProductResponseModel { readonly productId: string; readonly tcgPlayerProductId: number; readonly name: string; readonly number: string | null; readonly imageUrl: string; readonly description: string; readonly cardType: string | null; readonly cardSubType: string | null; readonly class: string | null; readonly rarity: string | null; readonly cost: string | null; readonly defenseValue: string | null; readonly pitchValue: string | null; readonly talent: string | null; readonly power: string | null; readonly intellect: string | null; readonly life: string | null; readonly variants: VariantResponseModel[];}
interface VariantResponseModel { readonly variantId: string; readonly variantName: string; readonly marketPrice: Money | null; readonly fcId: string; readonly saleVolumes: number[];}Example
Section titled “Example”HTTP/1.1 200 OKContent-Type: application/json
{ "productId": "549623c8-34df-4018-a39e-75b37664da77", "tcgPlayerProductId": 225900, "name": "Arknight Shard", "number": "CRU000", "rarity": "Fabled", "imageUrl": "https://tcgplayer-cdn.tcgplayer.com/product/225900_400w.jpg", "description": "Legendary Viserai Specialization (You may only have 1 Arknight Shard in your deck, and only if your hero is Viserai.)When you pitch Arknight Shard, create a Runechant token.", "cardType": "Resource", "cardSubType": "Gem", "class": "Runeblade", "cost": null, "defenseValue": null, "pitchValue": "3", "talent": null, "power": null, "intellect": null, "life": null, "variants": [ { "variantId": "2ca236a1-a30b-4246-8258-fbecac1003ee", "variantName": "1st Edition Cold Foil", "marketPrice": { "currency": "USD", "value": 149.99 }, "fcId": "CRU000-1ST-CF", "saleVolumes": [0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0] } ]}Problem Types
Section titled “Problem Types”The following problem types can be encountered when using this endpoint:
NotFound
Section titled “NotFound”If the specified product does not exist.